Bug 14439 - Typo in Bug 14408 regexp
Summary: Typo in Bug 14408 regexp
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Fridolin SOMERS
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 14408
Blocks:
  Show dependency treegraph
 
Reported: 2015-06-23 13:43 UTC by Fridolin SOMERS
Modified: 2016-12-05 21:23 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14439 - Typo in Bug 14408 regexp (971 bytes, patch)
2015-06-23 13:59 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
[SIGNED OFF] Bug 14439: Typo in Bug 14408 regexp (1.01 KB, patch)
2015-06-23 14:04 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 14439 - Typo in Bug 14408 regexp (1.02 KB, patch)
2015-06-23 14:10 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 14439: Add test - template path should finished by .tt (1.07 KB, patch)
2015-06-23 14:11 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 14439: Add test - template path should finish by .tt (1.06 KB, patch)
2015-06-23 14:16 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 14439: Typo in Bug 14408 regexp (1.07 KB, patch)
2015-06-23 14:20 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 14439: Add test - template path should finish by .tt (1.06 KB, patch)
2015-06-23 14:20 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin SOMERS 2015-06-23 13:43:51 UTC
In Bug 14408 first patch, the regexp used needs an escape on dot and does not need an ending "?"
Comment 1 Fridolin SOMERS 2015-06-23 13:59:53 UTC Comment hidden (obsolete)
Comment 2 Tomás Cohen Arazi 2015-06-23 14:04:20 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2015-06-23 14:10:58 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2015-06-23 14:11:55 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2015-06-23 14:16:48 UTC Comment hidden (obsolete)
Comment 6 Jonathan Druart 2015-06-23 14:20:36 UTC
Created attachment 40531 [details] [review]
Bug 14439: Typo in Bug 14408 regexp

In Bug 14408 first patch, the regexp used needs an escape on dot and does not need an ending "?"

Test plan :
  - prove t/db_dependent/Auth.t

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Jonathan Druart <jonathan.druart@koha-community.org>
Comment 7 Jonathan Druart 2015-06-23 14:20:41 UTC
Created attachment 40532 [details] [review]
Bug 14439: Add test - template path should finish by .tt

Signed-off-by: Jonathan Druart <jonathan.druart@koha-community.org>
Comment 8 Liz Rea 2015-06-23 22:24:26 UTC
I've added the fix, but not the tests, to 3.18.
Comment 9 Tomás Cohen Arazi 2015-06-24 14:34:16 UTC
Patch pushed to master.

Thanks Frido!
Comment 10 Fridolin SOMERS 2015-06-26 15:53:04 UTC
regexp is an old friend of mine ;)
Comment 11 Chris Cormack 2015-07-13 21:13:14 UTC
Pushed to 3.20.x will be in 3.20.2